Loading...
Searching...
No Matches
ojph::message_warning Class Reference

Derived from message_base to handle warning messages. More...

`#include <ojph_message.h>`

Inheritance diagram for ojph::message_warning:

## Public Member Functions

virtual void | operator() (int warn_code, const char *file_name, int line_num, const char *fmt,...)
| See the base message_base::operator() for details about parameters.

## Detailed Description

Derived from message_base to handle warning messages.

Definition at line 162 of file ojph_message.h.

## Member Function Documentation

## operator()()

void ojph::message_warning::operator() | ( | int | warn_code,
|  | const char * | file_name,
|  | int | line_num,
|  | const char * | fmt,
|  |  | ... )

virtual

See the base message_base::operator() for details about parameters.

Implements ojph::message_base.

Definition at line 115 of file ojph_message.cpp.

References ojph::message_level, ojph::OJPH_MSG_WARN, and ojph::warning_stream.

The documentation for this class was generated from the following files:

- /build/openjph-z1hyMm/openjph-0.28.1/src/core/openjph/ojph_message.h
- /build/openjph-z1hyMm/openjph-0.28.1/src/core/others/ojph_message.cpp